# parallel\Runtime::kill

(0.8.0)

parallel\Runtime::kill — Runtime Join

### Description

public parallel\Runtime::kill ( void ) : void

Shall attempt to force the runtime to shutdown.

> Note:

> Tasks scheduled for execution will not be executed, the currently running task shall be interrupted.

Warning

Internal function calls in progress cannot be interrupted.

### Exceptions

Warning

Shall throw \parallel\Runtime\Error\Closed if Runtime was closed.